# Create a Workflow Delegation Adds a new delegation record. Allows you to assign approval rights to another user and set the time period in which the delegation should be active. > Use the /workflowdelegationmanager.checkdates (Validate a Workflow Delegation) endpoint to ensure that all provided dates are valid and there are no conflicts. Endpoint: POST /workflowdelegationmanager.add Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `data` (object, required) - `data.sourceUser` (string) The name of the user whose workflow you want to delegate. - `data.targetUser` (string) The name of the user you want to delegate a workflow to. - `data.startDate` (string, required) The date from which the workflow delegation should come into effect. - `data.endDate` (string, required) The date until which the workflow delegation should be effective. - `data.note` (string) A comment for the workflow delegation. - `data.sourceUserId` (string, required) The ID of the user whose workflow you want to delegate. - `data.targetUserId` (string, required) The ID of the user you want to delegate a workflow to. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (any) - `response.data.sourceUserId` (number) - `response.data.sourceUser` (string) - `response.data.targetUserId` (number) - `response.data.targetUser` (string) - `response.data.status` (string) - `response.data.note` (string) - `response.data.createdByAdmin` (boolean) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.startDate` (string) - `response.data.endDate` (string)